package ru.yandex.direct.web.entity.creative.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class WebVideoFormat {
    @JsonProperty("width")
    private Integer width;

    @JsonProperty("height")
    private Integer height;

    @JsonProperty("url")
    private String url;

    @JsonProperty("type")
    private String type;

    public Integer getWidth() {
        return width;
    }

    public WebVideoFormat withWidth(Integer width) {
        this.width = width;
        return this;
    }

    public Integer getHeight() {
        return height;
    }

    public WebVideoFormat withHeight(Integer height) {
        this.height = height;
        return this;
    }

    public String getUrl() {
        return url;
    }

    public WebVideoFormat withUrl(String url) {
        this.url = url;
        return this;
    }

    public String getType() {
        return type;
    }

    public WebVideoFormat withType(String type) {
        this.type = type;
        return this;
    }
}
